# Uses of Interface
org.eclipse.ui.IWorkbench

Packages that use IWorkbench
Package
Description
org.eclipse.compare.internal
org.eclipse.equinox.p2.ui
Provides provisioning user interface classes that can be used for assembling a provisioning UI.
org.eclipse.help.ui.internal
org.eclipse.team.ui
Provides basic support for managing Team providers.
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.actions
Classes for actions and operations used in a workbench window, page, or part in the Eclipse Platform User Interface.
org.eclipse.ui.activities
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.application
Application-level APIs for configuring and controling the Eclipse Platform User Interface.
org.eclipse.ui.databinding.typed
org.eclipse.ui.editors.text
Provides a standard text editor and concrete document providers based `IFileBuffer` and others directly handling `IFile` and `IStorage` as editor input.
org.eclipse.ui.internal
org.eclipse.ui.plugin
Class hierarchies for plug-ins that integrate with the Eclipse Platform UI.
org.eclipse.ui.texteditor.templates
Application programming interfaces for interaction with the Eclipse text editor template support.
org.eclipse.ui.wizards.datatransfer
Provides the standard Import and Export wizards for moving resources into and out of the workspace.
org.eclipse.ui.wizards.newresource
Provides the standard wizards for creating files, folders, and projects in the workspace.

## Uses of IWorkbench in org.eclipse.compare.internal

Methods in org.eclipse.compare.internal that return IWorkbench
Modifier and Type
Method
Description
`static IWorkbench`
CompareUIPlugin.`getActiveWorkbench()`
Methods in org.eclipse.compare.internal with parameters of type IWorkbench
Modifier and Type
Method
Description
`void`
ComparePreferencePage.`init(IWorkbench workbench)`

## Uses of IWorkbench in org.eclipse.equinox.p2.ui

Methods in org.eclipse.equinox.p2.ui with parameters of type IWorkbench
Modifier and Type
Method
Description
`void`
RepositoryManipulationPage.`init(IWorkbench workbench)`

## Uses of IWorkbench in org.eclipse.help.ui.internal

Constructors in org.eclipse.help.ui.internal with parameters of type IWorkbench
Modifier
Constructor
Description
``
`HelpActivitySupport(IWorkbench workbench)`

## Uses of IWorkbench in org.eclipse.team.ui

Methods in org.eclipse.team.ui with parameters of type IWorkbench
Modifier and Type
Method
Description
`void`
IConfigurationWizard.`init(IWorkbench workbench, IProject project)`
Initializes this creation wizard using the passed workbench and the selected project.
`void`
IConfigurationWizardExtension.`init(IWorkbench workbench, IProject[] projects)`
Initializes this creation wizard using the passed workbench and selected projects.

## Uses of IWorkbench in org.eclipse.ui

Methods in org.eclipse.ui that return IWorkbench
Modifier and Type
Method
Description
`IWorkbench`
IWorkbenchWindow.`getWorkbench()`
Returns the workbench for this window.
`static IWorkbench`
PlatformUI.`getWorkbench()`
Returns the workbench.
Methods in org.eclipse.ui with parameters of type IWorkbench
Modifier and Type
Method
Description
`void`
IWorkbenchPreferencePage.`init(IWorkbench workbench)`
Initializes this preference page for the given workbench.
`void`
IWorkbenchWizard.`init(IWorkbench workbench, IStructuredSelection selection)`
Initializes this creation wizard using the passed workbench and object selection.
`void`
IWorkbenchListener.`postShutdown(IWorkbench workbench)`
Performs arbitrary finalization after the workbench stops running.
`boolean`
IWorkbenchListener.`preShutdown(IWorkbench workbench, boolean forced)`
Notifies that the workbench is about to shut down.

## Uses of IWorkbench in org.eclipse.ui.actions

Constructors in org.eclipse.ui.actions with parameters of type IWorkbench
Modifier
Constructor
Description
``
`ExportResourcesAction(IWorkbench workbench)`
Deprecated.
use the constructor `ExportResourcesAction(IWorkbenchWindow)`
``
`ExportResourcesAction(IWorkbench workbench, String label)`
Deprecated.
use the constructor `ExportResourcesAction(IWorkbenchWindow, String)`
``
`GlobalBuildAction(IWorkbench workbench, Shell shell, int type)`
Deprecated.
use GlobalBuildAction(IWorkbenchWindow, type) instead
``
`ImportResourcesAction(IWorkbench workbench)`
Deprecated.
use the constructor `ImportResourcesAction(IWorkbenchWindow)`

## Uses of IWorkbench in org.eclipse.ui.activities

Fields in org.eclipse.ui.activities declared as IWorkbench
Modifier and Type
Field
Description
`protected IWorkbench`
ActivityCategoryPreferencePage.`workbench`
The `IWorkbench`
Methods in org.eclipse.ui.activities with parameters of type IWorkbench
Modifier and Type
Method
Description
`void`
ActivitiesPreferencePage.`init(IWorkbench aWorkbench)`
`void`
ActivityCategoryPreferencePage.`init(IWorkbench workbench)`

## Uses of IWorkbench in org.eclipse.ui.application

Methods in org.eclipse.ui.application that return IWorkbench
Modifier and Type
Method
Description
`IWorkbench`
IWorkbenchConfigurer.`getWorkbench()`
Returns the underlying workbench.

## Uses of IWorkbench in org.eclipse.ui.databinding.typed

Methods in org.eclipse.ui.databinding.typed with type parameters of type IWorkbench
Modifier and Type
Method
Description
`static <S extends IWorkbench>
IValueProperty<S,IWorkbenchWindow>`
WorkbenchProperties.`activeWindow()`
Returns a property for observing the active window of a workbench.

## Uses of IWorkbench in org.eclipse.ui.editors.text

Methods in org.eclipse.ui.editors.text with parameters of type IWorkbench
Modifier and Type
Method
Description
`void`
TextEditorPreferencePage.`init(IWorkbench workbench)`
Deprecated.

## Uses of IWorkbench in org.eclipse.ui.internal

Classes in org.eclipse.ui.internal that implement IWorkbench
Modifier and Type
Class
Description
`final class`
`Workbench`
The workbench class represents the top of the Eclipse user interface.
Methods in org.eclipse.ui.internal that return IWorkbench
Modifier and Type
Method
Description
`IWorkbench`
WorkbenchConfigurer.`getWorkbench()`
`IWorkbench`
WorkbenchWindow.`getWorkbench()`

## Uses of IWorkbench in org.eclipse.ui.plugin

Methods in org.eclipse.ui.plugin that return IWorkbench
Modifier and Type
Method
Description
`IWorkbench`
AbstractUIPlugin.`getWorkbench()`
Deprecated, for removal: This API element is subject to removal in a future version.
Use `PlatformUI.getWorkbench()` directly

## Uses of IWorkbench in org.eclipse.ui.texteditor.templates

Methods in org.eclipse.ui.texteditor.templates with parameters of type IWorkbench
Modifier and Type
Method
Description
`void`
TemplatePreferencePage.`init(IWorkbench workbench)`

## Uses of IWorkbench in org.eclipse.ui.wizards.datatransfer

Methods in org.eclipse.ui.wizards.datatransfer with parameters of type IWorkbench
Modifier and Type
Method
Description
`void`
ExternalProjectImportWizard.`init(IWorkbench workbench, IStructuredSelection selection)`
`void`
FileSystemExportWizard.`init(IWorkbench workbench, IStructuredSelection currentSelection)`
`void`
FileSystemImportWizard.`init(IWorkbench currentWorkbench, IStructuredSelection currentSelection)`
`void`
ZipFileExportWizard.`init(IWorkbench workbench, IStructuredSelection currentSelection)`
`void`
ZipFileImportWizard.`init(IWorkbench currentWorkbench, IStructuredSelection currentSelection)`

## Uses of IWorkbench in org.eclipse.ui.wizards.newresource

Methods in org.eclipse.ui.wizards.newresource that return IWorkbench
Modifier and Type
Method
Description
`IWorkbench`
BasicNewResourceWizard.`getWorkbench()`
Returns the workbench which was passed to `init`.
Methods in org.eclipse.ui.wizards.newresource with parameters of type IWorkbench
Modifier and Type
Method
Description
`void`
BasicNewFileResourceWizard.`init(IWorkbench workbench, IStructuredSelection currentSelection)`
`void`
BasicNewFolderResourceWizard.`init(IWorkbench workbench, IStructuredSelection currentSelection)`
`void`
BasicNewProjectResourceWizard.`init(IWorkbench workbench, IStructuredSelection currentSelection)`
`void`
BasicNewResourceWizard.`init(IWorkbench theWorkbench, IStructuredSelection currentSelection)`
The `BasicNewResourceWizard` implementation of this `IWorkbenchWizard` method records the given workbench and selection, and initializes the default banner image for the pages by calling `initializeDefaultPageImageDescriptor`.